import { PageListController, UploadController } from "@queenjs/controllers";
import { ModuleRoot } from "queenjs";
import { actions } from "./module/actions";
import { helper } from "./module/helper";
import { https } from "./module/http";
import { designStore } from "./module/stores/design";
import { Dict_Apis } from "@/dict/apis";

export class MatchModule extends ModuleRoot {
  config = this.setConfig({});
  https = this.createHttps([https]);
  store = this.createStore(designStore);
  helper = this.createHelper(helper);
  actions = this.createActions(actions);

  controls = {
    listCtrl: new PageListController(this.config?.httpConfig),
    uploader: new UploadController({
      httpConfig: {
        baseURL: Dict_Apis.queentree,
      },
      dir: "queentree",
    }),
  };

  onReady() {
    this.controls.listCtrl.setCrudPrefix("/match/style");
  }
}

export const { initMatch, useMatch } = MatchModule.hook("Match");
