import { defineComponent, onBeforeUnmount, onMounted } from "vue";

import { useMatch } from "@/modules/match";
import { useQueditor } from "@queenjs-modules/queditor";
import PanelUI from "./UI";
import createController from "./controller";

export default defineComponent({
  setup() {
    const queditor = useQueditor();
    const match = useMatch();

    const ctrl = createController(match, queditor);

    onMounted(() => ctrl.initEvent());

    onBeforeUnmount(() => ctrl.destroy());

    return () => {
      return (
        <PanelUI
          controller={ctrl}
          sourceData={match.store.menuOptions.sourceData.mat}
        />
      );
    };
  },
});
